Bug 1750550 - squidGuard segfault on x86_64
Summary: squidGuard segfault on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: squidGuard
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-09 21:02 UTC by rcooley
Modified: 2019-09-26 03:08 UTC (History)
3 users (show)

Fixed In Version: squidGuard-1.4-36.fc31 squidGuard-1.4-36.fc30 squidGuard-1.4-36.fc29 squidGuard-1.4-36.el8 squidGuard-1.4-36.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-15 00:26:24 UTC


Attachments (Terms of Use)
Trvial fix for segfault on x86_64 (566 bytes, patch)
2019-09-09 21:02 UTC, rcooley
no flags Details | Diff

Description rcooley 2019-09-09 21:02:13 UTC
Created attachment 1613346 [details]
Trvial fix for segfault on x86_64

Description of problem:

squidGuard segfaults on x86_64, has done so for years, and the latest fedora rawhide version does NOT have the fix.

Bugzilla bugs are unresolved and automatically closed when the particular distro version it was reported against goes EOL.

Other distros have this patched.  Fedora/Redhat keeps pushing a broken version that's apparently not getting tested even by the maintainer.

Version-Release number of selected component (if applicable):

squidGuard-1.4-28.el7.x86_64.rpm
squidGuard-1.4-35.fc31.src.rpm


How reproducible:

If there's a "user" section under a "src" section, the command:
 squidGuard -C all -d
...will end in a segfault.


Steps to Reproduce:
1. yum install squidGuard.x86_64
2. squidGuard -C all -d
3. squidGuard[8803]: segfault at 564d41a0 ip 00007f4c555eecc2 sp 00007ffd856fac48 error 4 in libc-2.17.so

Actual results:


Expected results:


Additional info:

Comment 1 Gwyn Ciesla 2019-09-09 21:20:34 UTC
Hi! This is essentially the same as 1253662. I probably should have shipped that patch but it dropped off my radar, as the reporter never verified the fix. Same problem with 1253645. I think the patch from 1253662 might be a better fix. What do you think?

Comment 2 rcooley 2019-09-09 22:53:34 UTC
That patch also appears to work (very brief testing). No objection to going that way.

Thanks

Comment 3 Fedora Update System 2019-09-10 18:33:38 UTC
FEDORA-2019-8e7b10f051 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e7b10f051

Comment 4 Fedora Update System 2019-09-10 18:33:39 UTC
FEDORA-EPEL-2019-dd0e85097a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd0e85097a

Comment 5 Fedora Update System 2019-09-10 18:33:42 UTC
FEDORA-2019-6385bedea1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6385bedea1

Comment 6 Fedora Update System 2019-09-10 18:33:43 UTC
FEDORA-EPEL-2019-963a0d1e0f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-963a0d1e0f

Comment 7 Fedora Update System 2019-09-10 18:33:47 UTC
FEDORA-2019-646841a313 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-646841a313

Comment 8 Fedora Update System 2019-09-11 02:59:15 UTC
squidGuard-1.4-36.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-646841a313

Comment 9 Fedora Update System 2019-09-11 04:17:08 UTC
squidGuard-1.4-36.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8e7b10f051

Comment 10 Fedora Update System 2019-09-11 04:20:19 UTC
squidGuard-1.4-36.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-963a0d1e0f

Comment 11 Fedora Update System 2019-09-11 06:07:31 UTC
squidGuard-1.4-36.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd0e85097a

Comment 12 Fedora Update System 2019-09-11 15:36:51 UTC
squidGuard-1.4-36.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6385bedea1

Comment 13 Fedora Update System 2019-09-15 00:26:24 UTC
squidGuard-1.4-36.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-09-19 01:30:19 UTC
squidGuard-1.4-36.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-19 01:52:52 UTC
squidGuard-1.4-36.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-26 00:09:11 UTC
squidGuard-1.4-36.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-26 03:08:14 UTC
squidGuard-1.4-36.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.